#!/bin/bash

if [ -z "$TIMEOUT" ]; then
    TIMEOUT=90
fi

nginx -g "daemon off;" &
while [[ $TIMEOUT -gt 0 ]]; do
    echo "Maintenance system is up, timeout in $TIMEOUT minutes"
    sleep 60
    TIMEOUT=$(($TIMEOUT - 1))
done
exit
